---
id: 5d822fd413a79914d39e98d3
title: Part 11
challengeType: 0
dashedName: part-11
---

# --description--

Nest four `div` elements in the `.bb1` container. Give them the classes `bb1a`, `bb1b`, `bb1c`, and `bb1d` in that order. This building will have four sections.

# --hints--

You should create four new `div` elements.

```js
assert.equal(document.querySelectorAll('div')?.length, 6);
```

You should give one of the new `div` elements a class of `bb1a`.

```js
assert.exists(document.querySelector('div.bb1a'));
```

You should give one of the new `div` elements a class of `bb1b`.

```js
assert.exists(document.querySelector('div.bb1b'));
```

You should give one of the new `div` elements a class of `bb1c`.

```js
assert.exists(document.querySelector('div.bb1c'));
```

You should give one of the new `div` elements a class of `bb1d`.

```js
assert.exists(document.querySelector('div.bb1d'));
```

You should place the new `div` elements in the correct order.

```js
function __t(a, b) {
  return [...document.querySelector(a)?.nextElementSibling?.classList]?.includes(b);
}
assert(__t('div.bb1a','bb1b') && __t('div.bb1b','bb1c') && __t('div.bb1c','bb1d'));
```

You should place the new `div` elements within the `.bb1` element.

```js
assert.equal(document.querySelectorAll('div.bb1 > div')?.length, 4);
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html>    
  <head>
    <title>freeCodeCamp Skyline Project</title>
    <link href="styles.css" rel="stylesheet" type="text/css" />
  </head>

  <body>
    <div class="background-buildings">
--fcc-editable-region--
      <div class="bb1"></div>
--fcc-editable-region--
    </div>
  </body>
</html>
```

```css
* {
  border: 1px solid black;
  box-sizing: border-box;
}

body {
  height: 100vh;
  margin: 0;
  overflow: hidden;
}

.background-buildings {
  width: 100%;
  height: 100%;
}

.bb1 {
  width: 10%;
  height: 70%;
}
    
```

